Summary:	OpenGL-based space-ship "shoot-em-up"
Summary(pl.UTF-8):	Trójwymiarowa kosmiczna strzelanka
Name:		glaxium
Version:	0.5
Release:	8
License:	GPL
Group:		X11/Applications/Games
Source0:	http://xhosxe.free.fr/glaxium/%{name}_%{version}.tar.gz
# Source0-md5:	ea6d6f8b4ebb7c73b74af64d83f45cb7
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-startup_crash.patch
Patch2:		%{name}-build.patch
URL:		http://xhosxe.free.fr/glaxium
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game. It is
designed to provide the same feel as the old 2D games of that type,
but with 3D for the special effects.

%description -l pl.UTF-8
Glaxium jest trójwymiarową grą kosmiczną wykorzystującą OpenGL. Idea
tej gry jest zaczerpnięta ze starych dwuwymiarowych strzelanek
kosmicznych.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed 's/^GLAXIUM_INSTALLDIR=/GLAXIUM_INSTALLDIR=$(DESTDIR)/' Makefile.in > Makefile.in.tmp
sed 's/^GLAXIUM_HOME=/GLAXIUM_HOME=$(DESTDIR)/' Makefile.in.tmp > Makefile.in
sed 's/^MAN_DIR=/MAN_DIR=$(DESTDIR)/' Makefile.in > Makefile.in.tmp
cat Makefile.in.tmp > Makefile.in
rm -f Makefile.in.tmp

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%attr(755,root,root) %{_bindir}/glaxium
%{_datadir}/games/%{name}
%{_mandir}/man6/glaxium.6*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glaxium.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 33c044f
- release 8 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 4d7824b
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 690cf70
- buildfix (-build.patch)
- release 7 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f1607d7
- release 6

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b07c6b9
- release 5

* Wed Feb 24 2010 sparky <sparky@pld-linux.org> 989cf4d
- glut 3.7 is enough

* Wed Feb 24 2010 sparky <sparky@pld-linux.org> 2daba87
- versioned OpenGL-glut BR/R (freeglut is required)

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4307366
- release 4

* Fri May 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 40596d2
- added gcc4 and startup_crash patches
- more verbose files

* Fri May 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2701734
- fix crash on startup

* Fri May 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> baf9267
- kill extra qualifiers

* Fri May 18 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2c67800
- s/glut-devel/OpenGL-glut-devel/

* Thu May 17 2007 Paweł Gołaszewski <blues@pld-linux.org> 16a43d9
- rel.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ae50526
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a2bdf88
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 38c4b3a
- remove extra unneeded slash

* Wed Jun 01 2005 zbyniu <zbyniu@pld-linux.org> 080ac15
- BR: gcc-c++, libpng-devel

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 2ba65a6
- release 2

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 1997fab
- fixed group

* Mon Mar 22 2004 Łukasz Jarosław Mozer <lukasz.mozer@gmail.com> b67d38f
- typo

